Create a user invitation

Invite a user to an Organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to invite the user to.

Request

This endpoint expects an object.
inviteeEmailstringRequired
The email of the user to invite.
roleenumRequired
The user's Organization role.
Allowed values:

Response

OK
expiresAtdatetime

The time when the invite is expired in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

inviteIdstring
The invite ID.
inviteeobject
inviterobject
organizationIdstring
The ID of the Organization where the invite was sent.
organizationNamestring
The name of the Organization where the invite was sent.
userIdstring
The ID for the user who was invited.

Errors

400
Create User Invite Body Bad Request Error
401
Create User Invite Body Unauthorized Error
403
Create User Invite Body Forbidden Error
404
Create User Invite Body Not Found Error
500
Create User Invite Body Internal Server Error